Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMergePoints2D Class Reference

`#include <vtkMergePoints2D.h>`

Inheritance diagram for vtkMergePoints2D:

[legend]
Collaboration diagram for vtkMergePoints2D:

[legend]
List of all members.

## Detailed Description

merge exactly coincident points

Date:
  2002/10/04 20:43:44

Revision:
  1.14

vtkMergePoints2D is a locator object to quickly locate points in 3D. The primary difference between vtkMergePoints2D and its superclass vtkPointLocator is that vtkMergePoints2D merges precisely coincident points and is therefore much faster.

See also:
  vtkCleanPolyData

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (85%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkMergePoints2D.h)`
  - .`cxx` (`/Filtering/vtkMergePoints2D.cxx)`

Definition at line 46 of file vtkMergePoints2D.h.

## Public Types
typedef vtkPointLocator2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | IsInsertedPoint (float x[2])
## Static Public Methods
vtkMergePoints2D * | New ()
int | IsTypeOf (const char *type)
vtkMergePoints2D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMergePoints2D ()
| ~vtkMergePoints2D ()

## Member Typedef Documentation

typedef vtkPointLocator2D vtkMergePoints2D::Superclass

| Reimplemented from vtkPointLocator2D. Definition at line 50 of file vtkMergePoints2D.h.

## Constructor & Destructor Documentation

vtkMergePoints2D::vtkMergePoints2D | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkMergePoints2D.h.

vtkMergePoints2D::~vtkMergePoints2D | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkMergePoints2D.h.

## Member Function Documentation

vtkMergePoints2D* vtkMergePoints2D::New | ( |  | ) | `[static]`

| Construct with automatic computation of divisions, averaging 25 points per bucket. Reimplemented from vtkPointLocator2D.

virtual const char* vtkMergePoints2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointLocator2D.

int vtkMergePoints2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointLocator2D.

virtual int vtkMergePoints2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointLocator2D.

vtkMergePoints2D* vtkMergePoints2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointLocator2D.

void vtkMergePoints2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointLocator2D.

int vtkMergePoints2D::IsInsertedPoint | ( | float | x[2] | ) | `[virtual]`

| Determine whether point given by x[] has been inserted into points list. Return id of previously inserted point if this is true, otherwise return -1. Reimplemented from vtkPointLocator2D.

The documentation for this class was generated from the following file:

- Filtering/vtkMergePoints2D.h